summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--mail-filter/rspamd/Manifest1
-rw-r--r--mail-filter/rspamd/rspamd-2.5.ebuild114
2 files changed, 115 insertions, 0 deletions
diff --git a/mail-filter/rspamd/Manifest b/mail-filter/rspamd/Manifest
index dc9affa83b4b..bf68858b2d91 100644
--- a/mail-filter/rspamd/Manifest
+++ b/mail-filter/rspamd/Manifest
@@ -2,3 +2,4 @@ DIST rspamd-2.1.tar.gz 4232297 BLAKE2B 4685fa404e5a66d2295da57ece8ce1830507b3464
DIST rspamd-2.2.tar.gz 4257574 BLAKE2B 3717736ecefea49cfc9e8bf312bdeafa8650dfe1b0a4410d98693add30c77cb054c7620ecc421edd69a2d8bfc1bcb02183951069b15774a588359da8bfb26ac9 SHA512 e62367b9d663a005686e3eef216a7913c6050125e96582e2a58ef459e14512c1bcf09108050ff8ef524ba5e7a3c78559805353a25510654d8764f985757b32fe
DIST rspamd-2.3.tar.gz 4409924 BLAKE2B 825326c8c92b9937be1aed8640acc1c94762bf8de564642e4d1d429025eb9cc7ba943217b35c881c92b888cff0bec68ffae737bfc77ccb02bfc2ebd9d5948bcc SHA512 20fae1b088acafaaaa406980dc10da5efa66680f10ca8f0d262ddc735a0498f2026091806206995430d28ae27a7d348556eb1586a9217a02c39dfcf0f7c6eb95
DIST rspamd-2.4.tar.gz 4462119 BLAKE2B 073a27dc8ca76ede3928a2bbc1c3908d442e2d70e0cb51fea73f23fea55536f84e8154b7b6423af13002c0bd5cda60ae9948b3c6321a73d365c7fbd6541c3dca SHA512 47d64fdadc1c61642efebe4772add48848a45c8106bf431dacb458d85cdd9bf996ca46bcb75d60cedb15ae72518089e9b3e63a0716d22843f5b9f38d7d86be08
+DIST rspamd-2.5.tar.gz 4490310 BLAKE2B 8d117b1b03e8092d0c724a4da4de23dd145f5b22696aa6b4ef1c208ade28f0d143dd783c9173b6987514b2aef9327ff8fd29eeae5e3da3039d2568384e50a697 SHA512 6068309da98eeb75f95188414b12ce9443aef31200853f820646e70e1dbf2d9d1e2c661a86df2183c175cc01cfb09f6a5c7b8ba358901a56ec6cdb9d9fef4540
diff --git a/mail-filter/rspamd/rspamd-2.5.ebuild b/mail-filter/rspamd/rspamd-2.5.ebuild
new file mode 100644
index 000000000000..b5d45580a5de
--- /dev/null
+++ b/mail-filter/rspamd/rspamd-2.5.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake pax-utils systemd tmpfiles
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/rspamd/rspamd.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/rspamd/rspamd/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Rapid spam filtering system"
+HOMEPAGE="https://rspamd.com https://github.com/rspamd/rspamd"
+LICENSE="Apache-2.0 Boost-1.0 BSD BSD-1 BSD-2 CC0-1.0 LGPL-3 MIT public-domain unicode ZLIB"
+SLOT="0"
+IUSE="blas cpu_flags_x86_ssse3 jemalloc +jit libressl pcre2"
+
+RDEPEND="
+ acct-group/rspamd
+ acct-user/rspamd
+ app-arch/zstd
+ dev-db/sqlite:3
+ dev-libs/glib:2
+ dev-libs/icu:=
+ dev-libs/libev
+ dev-libs/libsodium
+ dev-libs/snowball-stemmer
+ net-libs/libnsl
+ sys-apps/file
+ blas? ( sci-libs/openblas )
+ cpu_flags_x86_ssse3? ( dev-libs/hyperscan )
+ jemalloc? ( dev-libs/jemalloc )
+ jit? (
+ dev-lang/luajit:2
+ dev-lua/lpeg[luajit]
+ )
+ !jit? (
+ dev-lang/lua:*
+ dev-lua/lpeg[-luajit]
+ dev-lua/LuaBitOp
+ )
+ !libressl? ( dev-libs/openssl:0=[-bindist] )
+ libressl? ( dev-libs/libressl:0= )
+ pcre2? ( dev-libs/libpcre2[jit=] )
+ !pcre2? ( dev-libs/libpcre[jit=] )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/ragel
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}/rspamd-2.5-unbundle-lua.patch"
+ "${FILESDIR}/rspamd-2.5-unbundle-zstd.patch"
+ "${FILESDIR}/rspamd-2.5-unbundle-snowball.patch"
+)
+
+src_prepare() {
+ cmake_src_prepare
+
+ rm -vrf contrib/{lua-{bit,lpeg},snowball,zstd} || die
+
+ sed -i -e 's/User=_rspamd/User=rspamd/g' \
+ rspamd.service \
+ || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCONFDIR=/etc/rspamd
+ -DRUNDIR=/var/run/rspamd
+ -DDBDIR=/var/lib/rspamd
+ -DLOGDIR=/var/log/rspamd
+ -DENABLE_BLAS=$(usex blas ON OFF)
+ -DENABLE_HYPERSCAN=$(usex cpu_flags_x86_ssse3 ON OFF)
+ -DENABLE_JEMALLOC=$(usex jemalloc ON OFF)
+ -DENABLE_LUAJIT=$(usex jit ON OFF)
+ -DENABLE_PCRE2=$(usex pcre2 ON OFF)
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+
+ newconfd "${FILESDIR}"/rspamd.conf rspamd
+ newinitd "${FILESDIR}/rspamd-r7.init" rspamd
+ systemd_newunit rspamd.service rspamd.service
+
+ newtmpfiles "${FILESDIR}"/${PN}.tmpfile ${PN}.conf
+
+ # Remove mprotect for JIT support
+ if use jit; then
+ pax-mark m "${ED}"/usr/bin/rspamd-* "${ED}"/usr/bin/rspamadm-*
+ fi
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/rspamd-r1.logrotate rspamd
+
+ diropts -o rspamd -g rspamd
+ keepdir /var/{lib,log}/rspamd
+}
+
+pkg_postinst() {
+ tmpfiles_process "${PN}.conf"
+}